Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class ViewBuildResultsSuccessfulTests

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.build.AbstractBuildAction
                      com.atlassian.bamboo.build.BuildResultsAction
                          com.atlassian.bamboo.build.ViewBuildResultsSuccessfulTests

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, BuildResultsAware, PaginationAware, ResultsListProvider, ReturnUrlAware

    public class ViewBuildResultsSuccessfulTests

extends BuildResultsAction
implements PaginationAware

Field Summary

Fields inherited from class com.atlassian.bamboo.build.BuildResultsAction
`buildNumber, buildResults, buildResultsSummaryManager, decorator, extendedAuthorManager, testResultManager`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewBuildResultsSuccessfulTests()`

Method Summary
`Pager` | `getPager()`
`List` | `getResultsList()`
`void` | `setPager(Pager pager)`

Methods inherited from class com.atlassian.bamboo.build.BuildResultsAction
`doExecute, errorMessage, getBuildNumber, getBuildResults, getBuildResultsFromContainer, getExtendedAuthorManager, getFailingSinceForTest, getFailingSinceRelativeTime, getFailingSinceRelativeTime, getNeighbouringSummaries, getPluginManager, getPluginMenuItems, getResponsibleAuthorExistingFailures, getSuccessfulTests, getTestResultManager, isSortByDuration, setBuildNumber, setBuildResults, setBuildResultsSummaryManager, setExtendedAuthorManager, setPluginManager, setSortByDuration, setTestResultManager`

Methods inherited from class com.atlassian.bamboo.build.AbstractBuildAction
`getBuild, getBuildKey, getBuildName, getCurrentlyRunningBuild, setBuild, setBuildKey, setBuildName`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration, validate`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ViewBuildResultsSuccessfulTests

    public ViewBuildResultsSuccessfulTests()

Method Detail

### getPager

    public Pager getPager()

  Specified by:
    `getPager` in interface `PaginationAware`

### setPager

    public void setPager(Pager pager)

  Specified by:
    `setPager` in interface `PaginationAware`

### getResultsList

    public List getResultsList()

  Specified by:
    `getResultsList` in interface `ResultsListProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.